/**
 * output package name
 */
package com.kingdee.eas.hr.project;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class projectLevel extends StringEnum
{
    public static final String PROJECTLEVEL1_VALUE = "1";//alias=һ
    public static final String PROJECTLEVEL2_VALUE = "2";//alias=
    public static final String PROJECTLEVEL3_VALUE = "3";//alias=

    public static final projectLevel projectLevel1 = new projectLevel("projectLevel1", PROJECTLEVEL1_VALUE);
    public static final projectLevel projectLevel2 = new projectLevel("projectLevel2", PROJECTLEVEL2_VALUE);
    public static final projectLevel projectLevel3 = new projectLevel("projectLevel3", PROJECTLEVEL3_VALUE);

    /**
     * construct function
     * @param String projectLevel
     */
    private projectLevel(String name, String projectLevel)
    {
        super(name, projectLevel);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static projectLevel getEnum(String projectLevel)
    {
        return (projectLevel)getEnum(projectLevel.class, projectLevel);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(projectLevel.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(projectLevel.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(projectLevel.class);
    }
}